Skip to main content
POST
/
sourcing
/
prospects
/
{prospectId}
/
convert
Convert prospect to candidate
curl --request POST \
  --url https://hireloam.com/api/v1/sourcing/prospects/{prospectId}/convert \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "job_id": "550e8400-e29b-41d4-a716-446655440000"
}
'
{
  "conversion": {
    "application_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "candidate_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
  }
}

Authorizations

Authorization
string
header
required

API key from Settings > API Keys

Path Parameters

prospectId
string<uuid>
required

Body

application/json
job_id
string<uuid>
required

The job to create the application for

stage_id
string<uuid>

Optional specific stage to place the candidate in

Response

Prospect converted

conversion
object